#!/bin/bash
if [ $CONFIGURATION = "Debug" ]; then
	echo "DEBUG"
	exit 0
else
	echo "RELEASE"
fi

#KEYCHAIN_PRIVKEY_NAME="Sparkle Private Key 1"
#rm -f "$PROJECT_NAME"*.zip
#ditto -ck --keepParent "$PROJECT_NAME.app" "$ARCHIVE_FILENAME"

VERSION=$(defaults read "$BUILT_PRODUCTS_DIR/$PROJECT_NAME.app/Contents/Info" CFBundleVersion)
VERSION=0.2.0
DOWNLOAD_BASE_URL="https://www.dustin.li/software/magtool"
RELEASENOTES_URL="https://www.dustin.li/software/magtool/release_notes.html"
#RELEASENOTES_URL="http://www.transmissionbt.com/appcast/releasenotes.html"
ARCHIVE_FILENAME="$PROJECT_NAME$VERSION.zip"
DOWNLOAD_URL="$DOWNLOAD_BASE_URL/$ARCHIVE_FILENAME"

cd "publish"
WD=$PWD
echo "Creating zip..."
cd $BUILT_PRODUCTS_DIR
zip -rq $WD/$ARCHIVE_FILENAME MagTool.app
cd $WD
SIZE=$(stat -f %z "$ARCHIVE_FILENAME")
PUBDATE=$(date +"%a, %d %b %G %T %z")

cat <<EOF > magtool_updates.xml
<?xml version="1.0" encoding="utf-8"?>
<rss version="2.0" xmlns:sparkle="http://www.andymatuschak.org/xml-namespaces/sparkle"  xmlns:dc="http://purl.org/dc/elements/1.1/">
   <channel>
      <title>MagTool Changelog</title>
      <link>https://www.dustin.li/software/magtool/magtool_updates.xml</link>
      <description>Most recent changes with links to updates.</description>
      <language>en</language>
		<item>
			<title>Version $VERSION</title>
			<sparkle:releaseNotesLink>$RELEASENOTES_URL</sparkle:releaseNotesLink>
			<pubDate>$PUBDATE</pubDate>
			<enclosure
				url="$DOWNLOAD_URL"
				sparkle:version="$VERSION"
				type="application/octet-stream"
				length="$SIZE"
			/>
		</item>
   </channel>
</rss>
EOF

rsync -ave 'ssh -p2222' --exclude="*.bash" --progress . dustin.li:/home/lidustin/

#echo "scp MagTool$VERSION.zip lidustin@dustin.li:www/software/magtool"
#scp $ARCHIVE_FILENAME lidustin@dustin.li:www/software/magtool
#echo "scp release_notes.rtf lidustin@dustin.li:www/software/magtool"
#scp release_notes.rtf lidustin@dustin.li:www/software/magtool
#echo "scp magtool_updates.xml lidustin@dustin.li:www/software/magtool"
#scp magtool_updates.xml lidustin@dustin.li:www/software/magtool
#echo "scp Card-Tool-Icon.png lidustin@dustin.li:www/software/magtool"
#scp Card-Tool-Icon.png lidustin@dustin.li:www/software/magtool
#echo "scp release_notes.html lidustin@dustin.li:www/software/magtool"
#scp release_notes.html lidustin@dustin.li:www/software/magtool
#echo "scp release_notes.css lidustin@dustin.li:www/software/magtool"
#scp release_notes.css lidustin@dustin.li:www/software/magtool
